const express = require('express');
const Schemas = require('schemas');
const token = require('middlewares').token;
const scope = require('middlewares').scope;
const projectTag = require('middlewares').projectTag;
const uidParam = require('middlewares').uidParam;
const validate = require('middlewares').validate;

const WinAnchor = require('./handlers');

const router = express.Router();
router.param('uid', uidParam());

router.use(token());
router.use(scope());
router.use(projectTag());

router.get(['/'], WinAnchor.getAllWinAnchorSyncHandler);
router.get(['/:uid'], WinAnchor.getWinAnchorSyncHandler);
router.put(['/:uid'], validate(WinAnchor.updateSyncWinAnchor), WinAnchor.editWinAnchorSyncHandler);

module.exports = router;

module.exports = {
    path: 'prototype/win_sync',
    router,
};
