const express = require('express');
const privateProjectTag = require('middlewares').privateProjectTag;
const uidParam = require('middlewares').uidParam;

const WinAnchor = require('./handlers');

const router = express.Router();
router.param('uid', uidParam());

router.use(privateProjectTag());

router.get(['/'], WinAnchor.getAllWinAnchorSyncHandler);
router.get(['/:uid'], WinAnchor.getWinAnchorSyncHandler);

module.exports = router;

module.exports = {
    path: 'private/prototype/win_sync',
    router,
};
